;=======================================
;SPIϥΨ쪺Register
;    SPICNT      1 byte
;    SPIM        1 byte
;    SPIINDEXH   1 byte
;    SPIINDEXL   1 byte
;    RSLEN       1 byte
;    RSTX        1 byte
;=======================================
FSR0HTemp    equ    0FFH
FSR0LTemp    equ    0FEh   ; 0FE
FSR1HTemp    equ    0FDh   ;0FD
FSR1LTemp    equ    0FCh     ;0FC
SPICNT       equ    0FBh   ;0FB
SPIM         equ    0FAh      ;0FA
        bWRD   equ   7
SPIINDEXH    equ    0F9h        ;0F9  
SPIINDEXL    equ    0F8h   ;0F8
SPIDATA      equ    0F7h   ;0F7
RSLEN        equ    0F1h    ;0F1
;RSIM         equ    0F5h       ;0F5
;RSCNT        equ    0F4h        ;0F4
ADCCnter	equ	0F5h
WECNT		equ	0F4h
ADCOUTH      equ    0F6h
ADCOUTM      equ    0F3h
ADCOUTL      equ    0F2h
RSTX         equ    0F0h       ;0F0
   b_ANTX    equ    0
   b_ADCbg   equ    1    ; Catch ADC
   b_ADCcnn  equ    2
   b_ADCkn   equ    3
   b_tm      equ    4
   b_rdEEPROM  equ  5
   b_wrEEPROM  equ  6
   b_EEPROMERR equ  7
;==========================================================
MD1          equ    80h
dsp          equ    MD1
dsp1         equ    dsp+6
VSQRT        equ    MD1     ;80
s_reg_EE     equ    MD1
eeaddress    equ    MD1+1
temr         equ    eeaddress+1
eedatemp     equ    temr+1
r_Len_EE     equ    eedatemp+1
SQRTBuf      equ    MD1+4
RSQRT        equ    MD1+8 
MD2          equ    MD1+1   ;81
MD3          equ    MD2+1   ;82
MDL1         equ    MD3+1   ;83
MDL2         equ    MDL1+1  ;84
MDL3         equ    MDL2+1  ;85
MD4          equ    MDL3+1  ;86
S_REG        equ    MD4+6   ;8D
r_Len        equ    S_REG+1 ;8E
SQRTmp       equ    r_Len+1 ;8F
WeightBuf    equ    SQRTmp
Temp         equ    SQRTmp+4;92 

RAMClient    equ    Temp+16   ; 0A2
RAMStart     equ    RAMClient+1   ; 0A3
RAMFg        equ    0A4h    ; 0A4   
   bClient   equ    0
   bStart    equ    1
   bClient1  equ    2
   b_FlashR  equ    3
   b_Regsp   equ    4
   b_Regspbg equ    5
   b_Regspok equ    6
   
RAMBKL        equ     RAMFG+1     ; 0A5h   
RAMBKH        equ     RAMBKL+1    ; 0A6h
Tm            equ    0A7h
ADCFg         equ    0A8h          ; 0A8
   bg         equ    0
   b_ADCint   equ    1
   b_neg      equ    2
   b_stable   equ    3
   b_nonevalue   equ   4
   b_ADCOK    equ    5
   b_Tarem     equ    6
   b_Zerom     equ    7
ADCTemp        equ    0A9h
ADshiftbit    equ    0ACh
ADA1          equ    0ADh         
ADStable     equ     0B0h        
;0B3,0B4 not use
eecnt        equ     0B5h         ; 0B6
ADStbcnt     equ     0B6h      ; 0B7
KeyStill     equ     0B7h   ; 0B8
KeyCnt       equ     0B8h   ; 0B9 
UWeight      equ     0B9h     ; 0BA
CWeight      equ     0BBh    ; 0BC
ADPoint      equ     0BDh;   ; 0BE
ADAZ         equ     0BEh    ; 0BF
ADAZH        equ     0C0h                                        
ADSPAN       equ     0C1h       
ADSPANH      equ     0C3h
;0C4,0C5,0C6 not use    	
KeyFlash     equ     0C7h
sn           equ     0C8h
ADAZ1        equ     0C9h
ADAZ1H       equ     0CBh
Tare         equ     0CCh
TareH        equ     0CEh
Zero         equ     0CFh
ZeroH        equ     0D1h
ADShift      equ     0D2h
ADLatchL      equ    0D3h
ADLatchM      equ    0D4h
ADLatchH      equ    0D5h
Tm1s         equ     0D6h
ADCMax       equ     0D7h
ADCMaxH      equ     0D9h
PreZero      equ     0DAh
PreZeroH     equ     0DCh
Flag         equ     0DDh
   b_ADS     equ     0
   ADSign    equ     1
   ADSignb   equ     2
   ADCounter equ     3  
   b_ADCPCOK equ     4  
   b_FlashW   equ     5
   b_FlashOK  equ     6
   b_FlashEr  equ   7
   
GvupADC         equ  0DEh
KeyMatrix	equ	0DFh
HKey	equ	0E0h
VKey	equ	0E1h	
RTKEY	equ	0E2h
Flag1	equ	0E3h
	b_initz	equ	0
	b_keyz	equ	1
	b_keyt	equ	2
	b_E2	equ	3
;ADNEWL       equ     0DFh
;ADNEWM       equ     0E0h
;ADNEWH        equ    0E1h
;ADBUF        equ     0E2h
ADCTempBuf    equ    0EEh
;==========================================================
ScalData1    equ    0100h   ; ˸m1O϶ form 0x140 ~ 0x17F  MgMainData
PORTCOUNT    equ    0100h
SaveData     equ    0100h   ; sxO϶ form 0x120 ~ 0x17F @48 
SaveDataend  equ    011Fh
STEPLEN      equ    0120h
STEPLENBF    equ    0121h
LOOPLEN      equ    0122h
STEP         equ    0124h
STEPBF       equ    0125h
Steptemp     equ    0126h
REGAddr      equ    0128h
REGData0     equ    0130h
REGData1     equ    0138h
REGData2     equ    0140h
REGData3     equ    0148h
REGData4     equ    0150h
REGData5     equ    0158h
REGData6     equ    0160h
REGData7     equ    0168h
FlashAddr    equ    0170h
FlashLen     equ    0173h
FlashData    equ    0176h
FlashGvup    equ    0177h
BADCOL		equ	0130h
BADCOM		equ	0131h
BADCOH		equ	0132h
BADCOU		equ	0133h
BADNEWL		equ	0134h
BADNEWM		equ	0135h
BADNEWH		equ	0136h
BADCOCNT	equ	0137h
BADCOBUF	equ	0138h
BADCOBUFM	equ	0139h
;BBADNEWL	equ	0139h
;BBADNEWM	equ	013Ah
;BBADNEWH	equ	013Bh
BBBADNEWL	equ	013Ch
BBBADNEWM	equ	013Dh
BBBADNEWH	equ	013Eh
BBBADNEWU	equ	013Fh
IZAL	equ	0140h
IZAM	equ	0141h
IZAH	equ	0142h
IZAU	equ	0143h
IZAY	equ	0144h
IZAX	equ	0145h
IZBL	equ	0146h
IZBM	equ	0147h
IZBH	equ	0148h
IZBU	equ	0149h
IZBY	equ	014Ah
IZBX	equ	014Bh
IZCL	equ	014Ch
IZCM	equ	014Dh
IZCH	equ	014Eh
IZCU	equ	014Fh
IZCY	equ	0150h
IZCX	equ	0151h
BIOUL	equ	0152h
BIOUM	equ	0153h
BIOUH	equ	0154h
BIOUU	equ	0155h
BIOUY	equ	0156h
BIOUX	equ	0157h

DZAL	equ	0158h
DZAM	equ	0159h
DZAH	equ	015Ah
DZBL	equ	015Bh
DZBM	equ	015Ch
DZBH	equ	015Dh
DZCL	equ	015Eh
DZCM	equ	015Fh
DZCH	equ	0160h
;==========================================================
;Bank 2
KeyTm	equ	200h
KeyTmA	equ	201h
KeyNumshift	equ	202h
KeyPoint	equ	203h
KeyFlag	equ	204h
	b_Kpoint	equ	0
	b_haskey	equ	1
KeyNum	equ	205h
KeyNumIN	equ	208h
PRIWG	equ	20Bh
PRGIVEUP	equ	PRIWG+3

;==================================================
KeyPT      equ     PT1
       bK1         equ   1
       bK2         equ   3
KeyPT2     equ     PT2        
       bK3         equ   4   
;====================================
RLCDG      equ     LCD18
LCD_LBAT	equ	LCD16
       b_lbat       equ    0
       b_lneg       equ    4
     ;  b_lg         equ    4         
       b_loz        equ    5         
       b_ldwt       equ    6         
       b_lozt       equ    7  
MLCDG      equ     LCD16
LCD_G      equ     LCD4
       b_lg         equ    7  
LCD_TRACE	equ	LCD16
	b_Trace	equ	7   
LCD_ZERO	equ	LCD16             
       b_zero       equ    6    
LCD_TARE	equ	LCD16
       b_ltare      equ    5
UNITLCD7    EQU     LCD7
      b_MM      equ 0
      b_K       equ 4
      b_A       equ 5
      b_R       equ 6
      b_V       equ 7

UNITLCD6    EQU     LCD6
      b_lb1     equ 0
      b_lb2     equ 1
      b_lb3     equ 2
      b_lb4     equ 3 
      b_negative    equ 4 
      b_m       equ 7  
      
;UNITC   EQU     00AH    ;LCD7
;UNITF   EQU     006H    ;LCD7
;===================================================
pt2en         equ     TRISC2
eeclk            equ    2
eedata           equ    3
ptclkem           equ    pt2en     ; 0 input  , 1 output
ptdaem         equ     pt2en
ptda             equ    pt2
ptclk            equ    pt2
;======================================================
FSPIDIEN        equ     TRISC2
FSPIDIPU        equ     PT2PU
FSPIDI          equ     PT2
                bSPIDI      equ     4 
FSPIDOEN        equ     TRISC1
FSPIDOPU        equ     PT1PU
FSPIDO          equ     PT1
                bSPIDO      equ     3
FSPICKEN        equ     TRISC1
FSPICKPU        equ     PT1PU
FSPICK          equ     PT1
                bSPICK      equ     7
FSPICSEN        equ     TRISC1
FSPICSPU        equ     PT1PU
FSPICS          equ     PT1
                bSPICS      equ     4
;=====================================================
MatrixKey	equ	PT3
;======================================================
TPower		equ	TRISC2
PPower		equ	PT2
	b_Power	equ	5
TSleep		equ	TRISC1
PSleep		equ	PT1
	b_sleep	equ	0
                 