;=======================================================================
; SPICNT : SPIƶq
;          SPICNT = 0 ==>  SPIBUFBit 7 = 1 Ū , SPIBUFBit 7 = 0 g
;          SPICNT = 1 ==>  SPIBUF = wRAM Address  Low byte  --> FSR0L
;          SPICNT = 2 ==>  SPIBUF = wRAM Address  High byte --> FSR0H
;          SPICNT > 2 ==>   wRAM Address iŪgʧ@
; SPICNTiWL 255
; CS PIN 10  01 |M SPICNT
;=======================================================================
      org   0000h
ProReset:      
         nop
         jmp   ProBegin
         jmp   0
      org   0004h
        Include  Interrupt.asm
;======================================================== 
ProBegin: 
       include   SysIni.asm
;==============================================================
        mvl    0E0h
        mvf    SPIINDEXL,F,ACCE
;==============================================================  
MainLoop:
	btsz	ADCFg,b_nonevalue,ACCE
	jmp	CALADCPRO
	btsz	PSleep,b_sleep,ACCE
	jmp	MainLoopContinue
	call	delay10ms
	btss	PSleep,b_sleep,ACCE
	jmp	Main_Sleep
MainLoopContinue:
	lbsr	LCD19
	btsz	PT2,6,ACCE
	jmp	MainLoopBAT
	bsf	LCD19,7,BANK
	bcf	PT1DA,2,ACCE  
	jmp	MainLoopBATEND
  MainLoopBAT:
	bsf	PT1DA,2,ACCE  
	bcf	LCD19,7,BANK
	lbsr	LCD_LBAT
        btsz    SVSCN,SVSOP,ACCE
        bsf     LCD_LBAT,b_LBAT,BANK
        btss    SVSCN,SVSOP,ACCE
        bcf     LCD_LBAT,b_LBAT,BANK
 MainLoopBATEND:       
        include	MainKey.asm
RetMainPro:
        include   MainPro.asm

       jmp  MainLoop
CALADCPRO:
       btss    KeyPT,bK1,ACCE
       jmp     CALADCPRO
       call    delay10ms
       btss    KeyPT,bK1,ACCE
       jmp     CALADCPRO
       clrf    KeyCnt,ACCE
       call    ClearLCD
       mvl	15
       cpsg	ADshiftbit,ACCE
       jmp	CALADCPRO_1
       mvl	05h
       mvf	ADshiftbit,F,ACCE
 CALADCPRO_1:      
	call	CALShowCAL
	ldpr	Temp,FSR0
CALADCPROLOOP:	
	clrf	POINC0,ACCE
	mvl	Temp+15
	cpsg	FSR0L,ACCE
	jmp	CALADCPROLOOP
       include   ADCCAL.asm              
;=================================================
        
;=================================================
Main_Sleep:
        call     ClearLCD
        call     ADCENONSTEP  
        clrf     ADC0CN1,ACCE
        clrf     ADC0CN2,ACCE
        clrf     ADC0CN3,ACCE
        clrf     LCDCN1,ACCE
        clrf     PWRCN,ACCE
        clrf     SVSCN,ACCE
   Main_Sleep1:     
	bsf	PT1DA,2,ACCE  
	btss	PT2,6,ACCE
	bcf	PT2PU,6,ACCE
	btss	PSleep,b_sleep,ACCE
       jmp     Main_Sleep1
       call    Delay10ms
	btss	PSleep,b_sleep,ACCE
       jmp     Main_Sleep1
       bsf     INTE1,E0IE,ACCE
       bcf     INTF1,E0IF,ACCE
        bcf      PT2,5,ACCE     ; Loadcell Power off
       slp
       nop
   Main_Sleep2:     
       bcf     INTE1,E0IE,ACCE
       bcf     INTF1,E0IF,ACCE
	btsz	PSleep,b_sleep,ACCE
       jmp     Main_Sleep2
       call    Delay10ms
	btsz	PSleep,b_sleep,ACCE
       jmp     Main_Sleep2
       jmp     ProBegin
;=================================================
     include    ADC.asm
;=======================================================================================================              
      include   Math.asm
      Include  H08A.INC
      include  Main.inc
      include  S24CXX.asm
      include   Display.asm
      include   LCDINDX.asm
      include    Subroutine.asm
      include   Keyscan.asm
;======================================================================      
ADCENONSTEP:      
       bcf      ADC0CN1,ENADC,ACCE
       mvl     7    
  ADCENONSTEPLOOP:
       bsf      ADC0CN1,ENADC,ACCE
       bcf      ADC0CN1,ENADC,ACCE
       dcsz    wreg,f,acce
       jmp     ADCENONSTEPLOOP
       ret
;=======================================================================================================   
    END     













