SysInit:
	bsf	TPower,PPower,ACCE
	bsf	PPower,PPower,ACCE
	bsf	038H,7,ACCE			;038H[7]=0, ACM~1V,; 038H[7]=1, ACM~1.2V; 038H[6~0] can't set.
       mvl     00000111b
       mvf     MCKCN1,F,ACCE
       mvl     00000011b
       mvf     SSPCON1,F,ACCE
       mvl     00011111b
       mvf     SVSCN,F,ACCE
 ;==========Setup VDDA=======================================
       mvl     10110000b
       mvf     PWRCN,F,ACCE      
 ;==============Clear Memory=======================      
       ldpr    080h,FSR0
       mvl     080h
    ClriniMen0:   
       clrf    POINC0,ACCE
       dcsz    WREG,F,ACCE
       jmp     ClriniMen0
       ldpr    100h,FSR0
       mvl     80h
    ClriniMen1:   
       clrf    POINC0,ACCE
       dcsz    WREG,F,ACCE
       jmp     ClriniMen1
       ldpr    200h,FSR0
       mvl     00h
    ClriniMen2:   
       clrf    POINC0,ACCE
       dcsz    WREG,F,ACCE
       jmp     ClriniMen2
       mvl     00010101b
       mvf     MCKCN2,F,ACCE   ; external clock
       mvl     5
       mvf     ADshiftbit,F,ACCE
 ;==========Setup PT1 Interrupt=======================================
       mvl     00110000b
       mvf     PT1,F,ACCE      
       mvl     00000100b     ; Set  Digital Channel
       mvf     PT1DA,F,ACCE
       mvl     10110000b     ; PT1.3 = RX , PT1.4 = TX, PT1.5 = SDO , PT1.6 = SCK , PT1.2 = SDI
       mvf     TRISC1,F,ACCE
       mvl     01001011b
       mvf     PT1PU,F,ACCE  ; Set Pull up Resistor
       mvl     00000100b
       mvf     PT1M2,F,ACCE   
 ;==========Setup PT2 =======================================
       mvl     00100000b
       mvf     PT2,F,ACCE
       mvl     10100000b
       mvf     TRISC2,F,ACCE
       mvl     01011100b
       mvf     PT2PU,F,ACCE 
       call    EndSPI      
 ;==========Setup PT3 =======================================
	mvl	11110000b
	mvf	TRISC3,F,ACCE
	mvl	00001111b
	mvf	PT3PU,F,ACCE
	mvl	11111111b
	mvf	PT3,F,ACCE 
 ;==========Setup ADC0=======================================
       mvl     00011110b
       mvf     ADC0CN1,F,ACCE
       mvl     00001101b
       mvf     ADC0CN2,F,ACCE
       mvl     01100000b	;122Hz output
       mvf     ADC0CN3,F,ACCE
       mvl     01101100b
       mvf     AINET1,F,ACCE
       mvl     01000100b
       mvf     AINET2,F,ACCE
       mvl     01h
       mvf     RAMBKH,F,ACCE
       mvl     00h
       mvf     RAMBKL,F,ACCE
 ;==========Set Timmer=======================================
	mvl	00000010b
	mvf	MCKCN3,F,ACCE
       mvl     11000000b
       mvf     TMACN,F,ACCE     
 ;==========Set LCD=======================================
       call    ClearLCD
 ;==========Set Timmer=======================================
       clrf    status,ACCE
       lbsr    1
       clrf    FlashAddr,BANK
       clrf    FlashAddr+1,BANK
       clrf    FlashAddr+2,BANK
       clrf    PCLATH,ACCE
       bcf     Flag,b_FlashW,ACCE
       bcf     Flag,b_FlashOK,ACCE
       bcf     Flag,b_FlashEr,ACCE
    ;=============SPI Setup====================================   
       mvl     high SPIDATA
       mvf     SPIINDEXH,F,ACCE
       mvl     Low SPIDATA
       mvf     SPIINDEXL,F,ACCE
       clrf    SSPSTA,ACCE
       clrf    SPICNT,ACCE
       mvl     0FFh
       mvf     SSPBUF,F,ACCE
       clrf    SPICNT,ACCE
       bsf     SSPCON1,SSPEN,ACCE
      ;=========UART====================== 
      ;==========INTE Set============================
       mvl       01001010b
       mvf       INTE1,F,ACCE
       mvl       00000100b      ; RCIE,SSPIE
       mvf       INTE2,F,ACCE
      ;======================================
	mvl 	256-3 
	mvf 	GvupADC,F,ACCE
	clrf	Temp,ACCE
	clrf	Temp+1,ACCE
	mvl 	low  SaveData
	mvf 	RAMClient,F,ACCE
	mvf 	RAMStart,F,ACCE
	clrf	INTF2,ACCE
	clrf	INTF1,ACCE   
	clrf	RSTX,ACCE    
	clrf	 SPICNT,ACCE    ;
	mvl 	0A0h
	mvf 	eecnt,F,ACCE
	mvl 	256-5
	mvf 	ADStbcnt,F,acce
	bsf 	ADCFg,b_nonevalue,ACCE
            	
	call	 delay10ms
       ; call     ADCENONSTEP  
	 bsf	ADC0CN1,ENADC,ACCE
	mvl 	1
	mvf 	sn,F,ACCE
	btsz	KeyPT,bK1,ACCE
	jmp 	Sysini_1
	call	Delay10ms
	btsz	KeyPT,bK1,ACCE
	jmp 	Sysini_1
     SysADCCAL:  
	call	Delay10ms
	call	Delay10ms
	call	Delay10ms
	jmp 	Sysiniout
   Sysini_1:    
	mvl 	00h
	mvf 	eeaddress,F,ACCE
	mvl 	2
	mvf 	s_reg_EE,F,ACCE
	mvl 	HIGH  temp 
	mvf 	fsr0H,F,ACCE
	mvl 	temp
	call	eerdblk
	    	
	mvl 	0A5h
	cpse	temp,ACCE
	jmp 	SysADCCAL
	mvl 	05Ah
	cpse	temp+1,ACCE
	jmp 	SysADCCAL
	bcf 	ADCFg,b_nonevalue,ACCE
	mvl 	010h
	mvf 	eeaddress,F,ACCE
	mvl 	11
	mvf 	s_reg_EE,F,ACCE
	mvl 	HIGH  UWeight 
	mvf 	fsr0H,F,ACCE
	mvl 	UWeight
	call	eerdblk
	mvl 	020h
	call	eeread
	mvf 	eedatemp,W,ACCE
	mvf 	ADshiftbit,F,ACCE
	mvl 	4
	mvf 	Temp+5,F,ACCe
	mvl 	Temp+5
	mvf 	md1,F,ACCE
	mvl 	CWeight
	mvf 	md2,F,ACCE
	mvl 	Temp
	mvf 	md3,F,ACCE
	mvl 	1
	mvf 	mdl1,F,ACCE
	mvl 	2
	mvf 	mdl2,F,ACCE
	lbsr    Temp
	call    multiply
	swpf	ADPoint,W,ACCE
	andl	0Fh
	mvf	Temp+7,F,ACCE
	mvl	adspan
	mvf	md1,F,ACCE
	mvl	Temp+7	
	mvf	md2,F,ACCE
	mvl	Temp+3
	mvf	md3,F,ACCE
	mvl	3
	mvf	mdl1,f,acce
	mvl	1
	mvf	mdl2,F,ACCE
	call	multiply
	mvff	temp+3,adspan
	mvff	temp+3+1,adspan+1
	mvff	temp+3+2,adspan+2
	mvff	temp+3+3,adspan+3
	
	;mvff     adspan,temp+3        
	;mvff     adspan+1,temp+3+1
	;mvff     adspanH,temp+3+2
	mvl     Temp+3
	mvf     md1,F,ACCE
	mvl     temp
	mvf     md2,F,ACCE
	mvl     temp+7
	mvf     md3,F,ACCE
	mvl     4
	mvf     mdl1,F,ACCE
	mvl     3
	mvf     mdl2,F,ACCE
	mvl     1
	mvf     mdl3,F,ACCE
	lbsr     Temp
	call    divide
	mvl     1
	cpsg    temp+7,ACCE
	jmp      Sysini_5
	mvff    temp+7,sn       
     Sysini_5: 
     ;---- max  +9d
	swpf	ADPoint,ACCE
	andl	0Fh
	mull	9
	mvf 	PRODL,W,ACCE
	addf	UWeight,W,ACCE
	mvf 	temp+3,F,ACCE
	mvl 	0
	addc	UWeight+1,W,ACCE
	mvf 	Temp+3+1,F,ACCE
	mvff	adspan,temp
	mvff	adspan+1,temp+1
	mvff	adspanh,temp+2
	mvl 	temp
	mvf 	md1,F,ACCE
	mvl 	Temp+3
	mvf 	md2,F,ACCE
	mvl 	temp+5
	mvf 	md3,F,ACCE
	mvl 	3
	mvf 	mdl1,F,ACCE
	mvl 	2
	mvf 	mdl2,F,ACCE
	lbsr	Temp
	call	multiply

	swpf	ADPoint,ACCE
	andl	0Fh
	mvf	Temp+10,F,ACCE
	mvl	CWeight
	mvf	MD1,F,ACCE
	mvl	Temp+10
	mvf	MD2,F,ACCE
	mvl	Temp+11
	mvf	MD3,F,ACCE	
	mvl	2
	mvf	MDL1,F,ACCE
	mvl	1
	mvf	MDL2,F,ACCE
	lbsr	Temp
	call	multiply
	
	mvl 	Temp+5
	mvf 	md1,F,ACCE
	mvl 	Temp+11
	mvf 	md2,F,ACCE
	mvl 	Temp
	mvf 	md3,F,ACCE
	mvl	5
	mvf	mdl1,F,ACCE
	mvl	3
	mvf	mdl2,F,ACCE
	mvl	3
	mvf	mdl3,F,ACCE
	call	divide
	mvff	Temp,ADCMax
	mvff	Temp+1,ADCMax+1
	mvff	Temp+2,ADCMaxH
	;--- 3/100 max
	mvl	3
	mvf	Temp+3,F,ACCE
	mvl	Temp
	mvf	md1,F,ACCE        
	mvl	temp+3
	mvf	md2,F,ACCE        
	mvl	Temp+4
	mvf	md3,F,ACCE        
	mvl	3
	mvf	mdl1,F,ACCE
	mvl	1
	mvf	mdl2,F,ACCE
	lbsr	Temp
	call	multiply
	mvl	100
	mvf	temp+3,F,ACCE
	mvl	temp+4
	mvf	md1,F,ACCE        
	mvl	temp+3
	mvf	md2,F,ACCE        
	mvl	Temp
	mvf	md3,F,ACCE        
	mvl	4
	mvf	mdl1,F,ACCE
	mvl	1
	mvf	mdl2,F,ACCE
	mvl	3
	mvf	mdl3,F,ACCE
	lbsr	Temp
	call	divide
	mvff	Temp,PreZero
	mvff	Temp+1,PreZero+1
	mvff	Temp+2,PreZeroH
	
	bsf 	INTE1,GIE,ACCE
	mvl 	9
	mvf 	Temp+9,F,ACCE
   Sysini_2:    
	btsz	KeyPT,bK1,ACCE
	jmp 	Sysini_6
	call	Delay10ms
	btsz	KeyPT,bK1,ACCE
	jmp 	Sysini_6
	bsf	ADCFg,b_nonevalue,ACCE
	jmp	SysADCCAL
     Sysini_6: 
	mvl 	5
	mvf 	Tm,F,ACCE
	mvf 	Temp+9,W,ACCE
	bcf 	status,c,ACCE
	rrfc	WREG,F,ACCE
	call	LDISP

	ldpr	LCD0,FSR0
    Sysini_M1:	
	mvf 	TBLDL,W,ACCE
	btss	Temp+9,0,ACCE
	mvf 	TBLDH,W,ACCE
	btss	Temp+9,0,ACCE
	bsf	WREG,7,ACCE
	mvf	POINC0,F,ACCE
	mvl	LCD9
	cpsg	FSR0L,ACCE
	jmp	Sysini_M1
	btss	Temp+9,0,ACCE
	bsf	PT1M2,6,ACCE
	btsz	Temp+9,0,ACCE
	bcf	PT1M2,6,ACCE
	ldpr	LCD10,FSR0
    Sysini_M2:	
	mvf	TBLDL,W,ACCE
	btss	Temp+9,0,ACCE
	mvf	TBLDH,W,ACCE
	btss	Temp+9,0,ACCE
	bsf	WREG,7,ACCE
	mvf	POINC0,F,ACCE
	mvl	LCD15
	cpsg	FSR0L,ACCE
	jmp	Sysini_M2
	lbsr	LCD16
	mvl	00h
	btsz	Temp+9,0,ACCE
	mvl	0FFh
	mvf	LCD16,F,BANK   
	mvf	LCD17,F,BANK   
	mvf	LCD18,F,BANK   
	mvf	LCD19,F,BANK   
   Sysini_3: 
	call	GetADC
	btss	ADCFg,b_ADCOK,ACCE
	jmp	Sysini_M3
	bcf	ADCFg,b_ADCOK,ACCE
	
    Sysini_M3:	
	tfsz	Tm,ACCE
	jmp 	Sysini_3
	dcsz	Temp+9,F,ACCE
	jmp 	Sysini_2

	mvl	256-3
	mvf	ADStbcnt,F,acce
	bcf	ADCFg,b_stable,ACCE
        call	ClearLCD 
	mvff	ADCMax,Temp
	mvff	ADCMax+1,Temp+1
	mvff	ADCMaxH,Temp+2
	mvl	10
	mvf	Temp+3,F,ACCE
	mvl	Temp
	mvf	MD1,F,ACCE
	mvl	Temp+3
	mvf	MD2,F,ACCE
	mvl	Temp+4
	mvf	MD3,F,ACCE
	mvl	3
	mvf	MDL1,F,ACCE
	mvl	1
	mvf	MDL2,F,ACCE
	mvl	3
	mvf	MDL3,F,ACCE
	lbsr	Temp
	call	Divide
	bcf	ADCFg,b_Neg,ACCE
	mvf 	ADCOUTL,W,ACCE
	subf	adaz,W,ACCE
	mvf	Temp,F,ACCE
	mvf 	ADCOUTM,W,ACCE
	subc	adaz+1,W,ACCE
	mvf	Temp+1,F,ACCE
	mvf 	ADCOUTH,W,ACCE
	subc	adaz+2,W,ACCE
	mvf	Temp+2,F,ACCE
	btss	Temp+2,7,ACCE
	jmp	Sysini_Ze
	comf	Temp,F,ACCE
	comf	Temp+1,F,ACCE
	comf	Temp+2,F,ACCE
	mvl	0
	inf	Temp,F,ACCE
	addc	Temp+1,F,ACCE
	addc	Temp+2,F,ACCE
	bsf	ADCFg,b_Neg,ACCE
Sysini_Ze:	
	mvf	Temp,W,ACCE
	subf	Temp+4,W,ACCE
	mvf	Temp+1,W,ACCE
	subc	Temp+4+1,W,ACCE
	mvf	Temp+2,W,ACCE
	subc	Temp+4+2,W,ACCE
	btsz	status,C,ACCE
	jmp	Sysini_Zero
	mvl	LCDNUME
	mvf	LCD2,F,ACCE
	mvl	1
	btss	ADCFg,b_Neg,ACCE
	mvl	2
	call	LDISP
	mvf 	TBLDL,W,ACCE
	btsz	ADCFg,b_Neg,ACCE
	mvf 	TBLDH,W,ACCE
	mvf	LCD3,F,ACCE	
Sysini_ERR:	
	btsz	PSleep,b_sleep,ACCE
	jmp	Sysini_ERR_1
	call	delay10ms
	btss	PSleep,b_sleep,ACCE
	jmp	Main_Sleep
   Sysini_ERR_1:	
	call	GetADC
	call	ShowADC
	jmp	Sysini_ERR
Sysini_Zero:	
	mvl	256-4
	mvf	ADStbcnt,F,acce
	bcf	ADCFg,b_stable,ACCE
	bsf	Flag1,b_initz,ACCE
	lbsr	KeyTm
	clrf	KeyTm,BANK
	clrf	KeyFlag,BANK
	clrf	KeyNumIN,BANK
	clrf	KeyNumIN+1,BANK
	clrf	KeyNumIN+2,BANK
	clrf	KeyNum,BANK
	clrf	KeyNum+1,BANK
	clrf	KeyNum+2,BANK
	mvl	0
	mvf	KeyPoint,F,BANK
;	mvl	3
;	mvf	PRGIVEUP,F,BANK
	mvl	LCDNUM0
	mvf	LCD9,F,ACCE
	lbsr	LCD15
	mvf	LCD15,F,BANK
	mvl 	0
	mvf 	Tm1s,F,ACCE
Sysiniout: 
	clrf	KeyStill,ACCE        
	bsf 	INTE1,GIE,ACCE  
	bcf 	Flag,b_ADS,ACCE
	bcf	PT1M2,6,ACCE
	call	MatScan
;bsf	TRISC2,7,ACCE